## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate routinator

Name:           rust-routinator
Version:        0.14.2
Release:        %autorelease
Summary:        RPKI relying party software

License:        BSD-3-Clause
URL:            https://crates.io/crates/routinator
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * relax dirs dependency to allow using v5
Patch:          routinator-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An RPKI relying party software.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 AND ISC AND (MIT OR Apache-2.0)
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# BSD-3-Clause
# ISC
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        %{shrink:
                (0BSD OR MIT OR Apache-2.0)
                AND Apache-2.0
                AND ISC AND (MIT OR Apache-2.0)
                AND (Apache-2.0 OR BSL-1.0)
                AND (Apache-2.0 OR ISC OR MIT)
                AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT)
                AND (BSD-2-Clause OR Apache-2.0 OR MIT)
                AND BSD-3-Clause
                AND MIT
                AND (MIT OR Apache-2.0 OR Zlib)
                AND MPL-2.0
                AND (Unlicense OR MIT)
		}
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CONTRIBUTING.md
%doc Changelog.md
%doc README.md
%doc SECURITY.md
%{_bindir}/routinator

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/Changelog.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/SECURITY.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary-devel %{_description}

This package contains library source intended for building other packages which
use the "arbitrary" feature of the "%{crate}" crate.

%files       -n %{name}+arbitrary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rta-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rta-devel %{_description}

This package contains library source intended for building other packages which
use the "rta" feature of the "%{crate}" crate.

%files       -n %{name}+rta-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+socks-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+socks-devel %{_description}

This package contains library source intended for building other packages which
use the "socks" feature of the "%{crate}" crate.

%files       -n %{name}+socks-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ui-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ui-devel %{_description}

This package contains library source intended for building other packages which
use the "ui" feature of the "%{crate}" crate.

%files       -n %{name}+ui-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Apr 06 2025 Michel Lind <salimma@fedoraproject.org> - 0.14.2-1
- Update to 0.14.2; Fixes: RHBZ#2349822

* Thu Jan 23 2025 Michel Lind <salimma@fedoraproject.org> - 0.14.1-2
- Restore license list; use shrink for easier future diffing

* Thu Jan 23 2025 Michel Lind <salimma@fedoraproject.org> - 0.14.1-1
- Update to version 0.14.1; Fixes: RHBZ#2339650

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 03 2024 Fabio Valentini <decathorpe@gmail.com> - 0.14.0-3
- Bump tokio-rustls dependency from 0.25 to 0.26 to match reqwest

* Mon Jul 01 2024 Michel Lind <salimma@fedoraproject.org> - 0.14.0-2
- Restore licenses

* Mon Jul 01 2024 Michel Lind <salimma@fedoraproject.org> - 0.14.0-1
- Update to 0.14.0 (rhbz#2293567)

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.13.2-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Tue Mar 05 2024 Michel Lind <salimma@fedoraproject.org> - 0.13.2-1
- Update to 0.13.2 (rhbz#2266065)

* Wed Jan 24 2024 Michel Lind <salimma@fedoraproject.org> - 0.13.1-1
- Initial package (rhbz#2259990)
## END: Generated by rpmautospec
